<div class="account">
    <div class="group-personnal-info" [formGroup]="updateUserForm">

        <div class="left-user">
            <div class="pseudo">
                <mat-form-field>
                    <mat-label>Pseudo</mat-label>
                    <input matInput type="text" formControlName="pseudo">
                </mat-form-field>
            </div>
            <div class="email">
                <mat-form-field>
                    <mat-label>Email</mat-label>
                    <input matInput type="email" formControlName="email">
                </mat-form-field>
            </div>
        </div>

        <div class="right-user">
            <div class="password">
                <mat-form-field>
                    <input matInput type="password" formControlName="password" placeholder="Nouveau votre mot de passe">
                </mat-form-field>
            </div>
            <div class="password-confirmation">
                <mat-form-field>
                    <input matInput type="password" formControlName="passwordConfirmation"
                        placeholder="Confirmer le nouveau mot de passe">
                </mat-form-field>
            </div>
        </div>

        <div class="confirm-update-user">
            <button mat-button class="validate-button" (click)='updateUser()' [disabled]="!updateUserForm.valid" >Enregistrer les changements</button>
            <div *ngIf="errorUpdate" class="error-update">
                Une erreur est survenu lors de l'update
            </div>

            <div *ngIf="successUpdate" class="success-update">
                Les changements ont été effectués
            </div>
        </div>

    </div>

    <div class="group-tag">
        <div class="find-tag">
            <mat-form-field>
                <input matInput [(ngModel)]="tagSearch" type="text" placeholder="Chercher un tag à suivre">
            </mat-form-field>
        </div>
        <div *ngFor="let tag of tags | tagFilter: tagSearch" class="tags">
            <div class="tag">
                <div class="tag-title">
                    {{tag.title}}
                </div>
                <div class="tag-content">
                    {{tag.description}}
                </div>
            </div>
            <div class="follow">
                <button mat-button (click)="addUserTag(tag.id)">Suivre</button>
            </div>
        </div>
        <hr>
        <h1>Mes tags</h1>
        <div *ngFor="let tag of myTags" class="tags">
            <div class="tag">
                <div class="tag-title">
                    {{tag.title}}
                </div>
                <div class="tag-content">
                    {{tag.description}}
                </div>
            </div>
            <div class="follow">
                <button mat-button (click)="deleteUserTag(tag.id)">Ne plus suivre</button>
            </div>
        </div>
    </div>

    <div class="group-post">
        <h1>Mes idéflux</h1>
        <div class="post-list">
            <div class="post">
                <div *ngFor="let ideflux of myIdeflux" class="idefluxs">
                    <app-ideflux-preview
                    class="ideflux"
                    [ideflux]="ideflux"
                    (click)="openIdeflux(ideflux)"></app-ideflux-preview>
                </div>
            </div>
        </div>
        <hr>
        <h1>Mes projets</h1>
        <div class="project-list">
            <div class="project">
                <div *ngFor="let project of myProjects" class="projects">
                    <app-project-preview
                    class="project"
                    [project]="project"
                    (click)="openProject(project)"></app-project-preview>
                </div>
            </div>
        </div>
    </div>
</div>